# H501_UnknownMessageResponse Class Reference

`#include <h501.h>`

Inheritance diagram for H501_UnknownMessageResponse:

List of all members.

## Public Member Functions

| H501_UnknownMessageResponse (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_OctetString | m_unknownMessage
H501_UnknownMessageReason | m_reason

## Constructor & Destructor Documentation

H501_UnknownMessageResponse::H501_UnknownMessageResponse | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H501_UnknownMessageResponse::GetDataLength | ( |  | ) | const

PBoolean H501_UnknownMessageResponse::Decode | ( | PASN_Stream & | strm | ) |

void H501_UnknownMessageResponse::Encode | ( | PASN_Stream & | strm | ) | const

void H501_UnknownMessageResponse::PrintOn | ( | ostream & | strm | ) | const

Comparison H501_UnknownMessageResponse::Compare | ( | const PObject & | obj | ) | const

PObject* H501_UnknownMessageResponse::Clone | ( |  | ) | const

## Member Data Documentation

PASN_OctetString H501_UnknownMessageResponse::m_unknownMessage

H501_UnknownMessageReason H501_UnknownMessageResponse::m_reason

The documentation for this class was generated from the following file:

- h501.h